> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/devx/6.0/changelog/lenses-hq/version-6.0.0-alpha.20/helm.md).

# Helm

## HQ Changelog

### Small bugfixes

* Service account annotations were wrongly referenced and were not taking into account upon creation of a new service account
* In case *authenSignReq* was enabled and secrets were not placed it would create environment variable with null values - now it skips creation of environment variables

## Agent changelog

### Improvements

{% hint style="warning" %}
**Breaking change**
{% endhint %}

* External secret supports now:
  * Changeable External Secret Store type: SecretStore | ClusterSecretStore\
    hq:

    <pre class="language-yaml" data-title="values.yaml"><code class="lang-yaml">lensesAgent:  
      hq:
        agentKey:
          secret:
            type: "externalSecret"
            # Secret name where agentKey will be read from
            name: hq-password
            # Key name under secret where agentKey is stored
            key: key
            externalSecret:
              secretStoreRef:
                type: ClusterSecretStore # ClusterSecretStore | SecretStore
                name: [secretstore_name]
    </code></pre>
  * additionalSpecs <br>

    <pre class="language-yaml" data-title="values.yaml"><code class="lang-yaml">lensesHq:
      storage:
        postgres:
          enabled: true
          host: postgres-postgresql.hq-agent-test.svc.cluster.local
          port: 5432
          username: postgres
          database: hq
          passwordSecret:
            type: "externalSecret"
            name: postgres-aurora
            key:  password
            externalSecret:
              additionalSpecs:
                refreshInterval: 12h
              secretStoreRef:
                  type: ClusterSecretStore
                  name: enjoy3-secrets
    </code></pre>

### Small bugfixes

* Service account annotations were wrongly referenced and were not taking into account upon creation of a new service account


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lenses.io/latest/devx/6.0/changelog/lenses-hq/version-6.0.0-alpha.20/helm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
